diff -ruN -x '*~' emacs-22.0.93/Makefile.in emacs-22.0.93.patched/Makefile.in
--- emacs-22.0.93/Makefile.in	2007-01-21 13:34:14.000000000 -0500
+++ emacs-22.0.93.patched/Makefile.in	2007-01-24 12:03:45.000000000 -0500
@@ -432,7 +432,7 @@
 	      (cd $${dir}; tar -chf - . ) \
 		| (cd $${dest}; umask 022; \
                    tar -xvf - && cat > /dev/null) || exit 1; \
-	      find $${dest} -exec chown $${LOGNAME:-$$USERNAME} {} ';' ;\
+	      find $${dest} -exec chown root:admin {} ';' ;\
 	      for subdir in `find $${dest} -type d ! -name RCS ! -name CVS -print` ; do \
 		chmod a+rx $${subdir} ; \
 		rm -rf $${subdir}/RCS ; \
@@ -472,7 +472,7 @@
 	   echo "Copying etc/DOC-* to $(DESTDIR)${docdir} ..." ; \
 	   (cd ./etc; tar -chf - DOC*) \
 	     |(cd $(DESTDIR)${docdir}; umask 022; tar -xvf - && cat > /dev/null) || exit 1; \
-	   (cd $(DESTDIR)$(docdir); chown $${LOGNAME:-$$USERNAME} DOC*; chmod a+r DOC*; \
+	   (cd $(DESTDIR)$(docdir); chown root:admin DOC*; chmod a+r DOC*; \
 	    if test "`echo DOC-*`" != "DOC-*"; then rm DOC; fi); \
 	else true; fi
 	-unset CDPATH; \
@@ -484,7 +484,7 @@
 	   echo "Copying lisp/*.el and lisp/*.elc to $(DESTDIR)${lispdir} ..." ; \
 	   (cd lisp; tar -chf - *.el *.elc) \
 	     |(cd $(DESTDIR)${lispdir}; umask 022; tar -xvf - && cat > /dev/null) || exit 1; \
-	   (cd $(DESTDIR)${lispdir}; find . -exec chown $${LOGNAME:-$$USERNAME} {} ';') ; \
+	   (cd $(DESTDIR)${lispdir}; find . -exec chown root:admin {} ';') ; \
 	else true; fi
 	-unset CDPATH; \
 	if [ -n "${GZIP_PROG}" ]; \
diff -ruN -x '*~' emacs-22.0.93/configure emacs-22.0.93.patched/configure
--- emacs-22.0.93/configure	2007-01-22 19:37:53.000000000 -0500
+++ emacs-22.0.93.patched/configure	2007-01-24 12:03:45.000000000 -0500
@@ -1806,7 +1806,7 @@
 etcdir='${datadir}/emacs/${version}/etc'
 archlibdir='${libexecdir}/emacs/${version}/${configuration}'
 docdir='${datadir}/emacs/${version}/etc'
-gamedir='${localstatedir}/games/emacs'
+gamedir='${localstatedir}/games/emacs22'
 
 gameuser=games
 
@@ -13567,9 +13567,9 @@
 fi
 { echo "$as_me:$LINENO: result: $ac_cv_lib_ungif_EGifPutExtensionLast" >&5
 echo "${ECHO_T}$ac_cv_lib_ungif_EGifPutExtensionLast" >&6; }
-if test $ac_cv_lib_ungif_EGifPutExtensionLast = yes; then
+#if test $ac_cv_lib_ungif_EGifPutExtensionLast = yes; then
   HAVE_GIF=yes
-fi
+#fi
 
 fi
 
diff -ruN -x '*~' emacs-22.0.93/fix-info emacs-22.0.93.patched/fix-info
--- emacs-22.0.93/fix-info	1969-12-31 19:00:00.000000000 -0500
+++ emacs-22.0.93.patched/fix-info	2007-01-24 12:03:45.000000000 -0500
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+THE_INFO_PREFIX=$1
+
+for file in ada-mode autotype calc ccmode cl dired-x ebrowse ediff efaq \
+           elisp eintr emacs emacs-mime eshell eudc flymake \
+           forms gnus idlwave info message mh-e newsticker org pcl-cvs \
+           pgg reftex sc ses sieve speedbar tramp vip viper widget \
+           woman smtpmail url rcirc erc
+do
+    ./mangle-info ${THE_INFO_PREFIX}/${file}
+done
\ No newline at end of file
diff -ruN -x '*~' emacs-22.0.93/lisp/startup.el emacs-22.0.93.patched/lisp/startup.el
--- emacs-22.0.93/lisp/startup.el	2007-01-21 13:34:20.000000000 -0500
+++ emacs-22.0.93.patched/lisp/startup.el	2007-01-24 12:03:45.000000000 -0500
@@ -288,6 +288,10 @@
 
 (defvar normal-top-level-add-subdirs-inode-list nil)
 
+(defconst fink-emacs-flavor 'emacs22
+  "A symbol representing the particular fink flavor of emacs running.
+Something like 'emacs20, 'xemacs20, etc.")
+
 (defvar no-blinking-cursor nil)
 
 (defvar default-frame-background-mode)
@@ -809,9 +813,19 @@
     ;; Run the site-start library if it exists.  The point of this file is
     ;; that it is run before .emacs.  There is no point in doing this after
     ;; .emacs; that is useless.
-    (if site-run-file
-	(load site-run-file t t))
-
+    ;; (if site-run-file                                                       
+    ;;     (load site-run-file t t))                                           
+                                                                              
+    ;; Fink version of site-start.                                           
+    (if site-run-file                                                          
+	(progn                                                                 
+	  ;; Load all the fink package snippets.                             
+	  ;; It's in here because we want -q to kill it too.                   
+	  (if (load "fink-startup" t t nil)                                  
+	      (fink-startup fink-emacs-flavor))                            
+	  ;; Now the normal site file...                                       
+	  (load site-run-file t t nil)))       
+    
     ;; Sites should not disable this.  Only individuals should disable
     ;; the startup message.
     (setq inhibit-startup-message nil)
diff -ruN -x '*~' emacs-22.0.93/mangle-info emacs-22.0.93.patched/mangle-info
--- emacs-22.0.93/mangle-info	1969-12-31 19:00:00.000000000 -0500
+++ emacs-22.0.93.patched/mangle-info	2007-01-24 12:03:45.000000000 -0500
@@ -0,0 +1,18 @@
+#!/usr/bin/perl -w -i
+
+use English;
+use strict;
+
+$RS = undef;
+
+my $prefix = "emacs-22";
+
+my $x = <>;
+if(!($x =~ m/^(\s*START-INFO-DIR-ENTRY\s+\*\s*[^:]+:\s*)\(([^\)]+)\)/mo)) {
+  die "Couldn't find START-INFO-DIR-ENTRY.";
+}
+   
+print ${PREMATCH};
+print "$1($prefix/$2)";
+print ${POSTMATCH};
+
diff -ruN -x '*~' emacs-22.0.93/src/Makefile.in emacs-22.0.93.patched/src/Makefile.in
--- emacs-22.0.93/src/Makefile.in	2007-01-21 13:34:41.000000000 -0500
+++ emacs-22.0.93.patched/src/Makefile.in	2007-01-24 12:03:45.000000000 -0500
@@ -436,7 +436,7 @@
 
 #if HAVE_GIF
 #ifndef LIBGIF
-#define LIBGIF -lungif
+#define LIBGIF -lgif
 #endif /* not defined LIBGIF */
 #else /* not HAVE_GIF */
 #define LIBGIF
